classification
Title: Remove support of deprecated mode 'U' in zipfile
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: alanmcintyre, python-dev, serhiy.storchaka, twouters
Priority: normal Keywords: patch

Created on 2016-05-15 18:23 by serhiy.storchaka, last changed 2016-06-11 16:37 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
zipfile_remove_deprecated.patch serhiy.storchaka, 2016-05-15 18:23 review
zipfile_remove_deprecated2.patch serhiy.storchaka, 2016-05-23 19:50 review
Messages (4)
msg265640 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-05-15 18:23
Proposed patch removes support of modes 'U' and 'rU' in zipfile.ZipFile.open. This support was baggy and not consistent with other binary file objects. It was deprecated since Python 3.4.
msg266178 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-05-23 19:50
Updated patch addresses Jim's comments.
msg268227 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-11 16:33
New changeset bf8773b054cb by Serhiy Storchaka in branch 'default':
Issue #27029: Removed deprecated support of universal newlines mode from ZipFile.open().
https://hg.python.org/cpython/rev/bf8773b054cb
msg268229 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-06-11 16:37
Thank you for your review Jim.
History
Date User Action Args
2016-06-11 16:37:20serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg268229

stage: patch review -> resolved
2016-06-11 16:33:14python-devsetnosy: + python-dev
messages: + msg268227
2016-06-11 16:17:52serhiy.storchakasetassignee: serhiy.storchaka
2016-05-23 19:50:30serhiy.storchakasetfiles: + zipfile_remove_deprecated2.patch

messages: + msg266178
2016-05-15 18:23:22serhiy.storchakacreate